<template>
    <div class="ht-input__container">
        <label class="ht-input__label font-regular" :class="{'ht-input__label-active': active || value.length> 0, 'ht-input__label-selected': active}">{{ label }}</label>
        <input v-model="value" class="ht-input font-regular" :class="{'ht-input-active': active, 'ht-input-error': error }" :type="type" @focusin="active = true" @focusout="active = false">
        <span class="ht-input__error" :class="{'ht-input__error-active': error}">{{ errorShown }}</span>
    </div>
</template>

<script>
    export default {
        name: "ht-input",
        props: {
            label: {
                type: String
            },
            modelValue: {
                type: String,
                default: ""
            },
            error: {
                type: String
            },
            type: {
                type: String
            }
        },
        data() {
            return {
                value: "",
                active: false,
                errorShown: ""
            }
        },
        watch: {
            error(val) {
                console.log(val.length, val);
                if (val.length === 1) {
                    this.errorShown = val[0]
                }else {
                    this.errorShown = val;
                }
            },
            value() {
                this.$emit('update:modelValue', this.value);
            }
        }
    }
</script>

<style scoped>

</style>
